PHP is a widely-used general-purpose scripting language that is especially suited for Web development. The current version is 5.3.3, released on July 22, 2010.

learn more… | top users | synonyms

21
votes
7answers
12k views

How do I easily highlight the syntax of PHP code in Word?

How do I easily write and syntax-highlighted PHP code (or any others programming language) in a Word 2009 document?
1
vote
3answers
285 views

Web Hosting at home on Old Hardware [closed]

This is a re-make of this interesting question. I've rephrased it slightly to avoid pulling aggro and to provide some quality information, as I've pondered this before, but only JUST ran the numbers.. ...
6
votes
7answers
830 views

Mac Text Editor (with function list) [duplicate]

Possible Duplicate: Text editor for Mac OS X So I've got a Mac in the post coming to me, and will probably be doing quite a bit of development on it so I am looking for a text editor (PHP + ...
3
votes
3answers
875 views

PHP 5.2 and PHP 5.3 on mod_php (apache) on Ubuntu 11.04

I have to develop both on php 5.2 and on php 5.3. I need those two versions installed on my system and ability to switch fast between them. One solution I found is to upgrade/downgrade everytime I ...
1
vote
1answer
413 views

ffmpeg - joining 2 videos to play one after another

I'm trying to join two video files together - I'm piping the commands through PHP exec() as these videos are selected by the user. I can get it working, in that it does output a video of the correct ...
1
vote
1answer
2k views

PHP files are downloaded instead of getting interpreted

I'm encountring some difficulties with my Apache2/PHP5. All was well-configured and working, but after reinstalling apache2, the PHP files are displayed without being interpreted. I tried many ...
0
votes
1answer
175 views

Run java in php apache2

I wrote a simple PHP file which calls a java application. It runs on cli without problems but I can't run it on browser. Output: "Java HotSpot(TM) 64-Bit Server VM warning: ...
0
votes
3answers
678 views

Some websites prompt to download PHP script after some time, but only in Firefox

This happens only in Firefox - NOT in IE or in Safari (all 3 tested only on a Windows system). Always, viewing a page shows most of the content, and then the browser prompts to download some sidebar ...
0
votes
3answers
3k views

Settings to send an email from localhost for PHP code in Windows Vista

I am using PHP 5 and Apache to do programming. My code can correctly send emails on the server, but on my own development machine I cannot send emails. There is clearly nothing wrong with my code, so ...
32
votes
6answers
40k views

How do I rename a file to .htaccess in Windows 7?

I'm using XAMPP to test a PHP script. Now, in the root of the folder I want to place a .htaccess file according to the requirements of the script. But Windows won't let me rename it to .htaccess. Is ...
6
votes
2answers
12k views

PHP script can't run bash script. sh: Permission denied

I'm trying to exec a .sh script from PHP, however it is not executing. I checked the error logs, and I'm getting the 'sh: Permission denied' error. I checked under which user php is being run, and ...
3
votes
3answers
12k views

Unable to remove PHP packages from CentOS, but also unable to update PHP package to PHP 5.3

I have an interesting, albeit infuriating problem with CentOS. I'm trying to configure this server to run a Symfony2 website I've built. The website doesn't work, and I've pinned down the problem to ...
10
votes
1answer
432 views

Different background color for multiple filetypes in vim

Is it possible to have different background colors in vim (ie. one light, one dark) when dealing with files with multiple filetypes (ie. :set ft=html.php)? In PHP code with HTML embedded, it can be ...
2
votes
2answers
6k views

Notepad++ General Purpose code formatter.

I enjoy a lot that I can hit CTRL+Shift+F on eclipse and it automatically formats the code according to a profile. My question is how can I do something similar on Notepad++? Where would I go about to ...
2
votes
1answer
1k views

Markdown “single page” PHP web application with live preview? [closed]

I would like to know if there is a PHP web application, such that When called with something like http://example.com/index.php?inputfile=mymarkdownfile.txt; it will open the file mymarkdownfile.txt ...
1
vote
2answers
524 views

Is there a browser based interface for running command line on your host?

I know I can manually run it through PHP's exec() command but I was hoping if there was a ready to download and deploy PHP-based system that could act as a bridge and terminal and you can run commands ...
1
vote
2answers
382 views

am using ubuntu 12.10. unable to use PHP_PERL extension. Unable to install the extension as well

I need to run a Perl script because I need a module that Perl has that PHP does not. This is my code for testing purposes in PHP <?php echo ("Hello World"); $perl = new Perl(); ...
3
votes
2answers
2k views

Convert file to PDF using LibreOffice under user apache (i.e. when using PHP)

I installed libreoffice-headless and can convert documents when logged on into the shell as a normal user. [root@desktop ~]# yum install libreoffice-headless [root@desktop ~]# yum install ...
3
votes
3answers
2k views

PHP code is returned instead of executed

I have L-Ubuntu 11.04. I've installed Apache2 and I'm trying to simulate a server on my local file system by navigating to localhost in the browser. The problem is that I can't seem to get php to ...
3
votes
3answers
3k views

Changing HTTP_ACCEPT_LANGUAGE

Is it possible to change HTTP_ACCEPT_LANGUAGE? I'm using Firefox.
2
votes
1answer
4k views

apache 2.4 + php 4.7 cannot load php5apache2_4.dll

I am trying to make Apache (httpd-2.4.3-win32) to work with PHP 5.4.7 (VC9 x86 Thread Safe) on Windows 7. Apaches default page is working and proudly says: "It works". PHP CLI is working and ...
2
votes
1answer
6k views

WAMP server won't run with PHP 5.3.4 but will with PHP 5.2.11

I have a 64bit Windows 7 Professional machine. I'm running WampServer Version 2.1 with Apache 2.2.4. It was installed on a clean machine. I'm using the default ini/conf files as they come. Wamp is ...
2
votes
2answers
728 views

Create a local DNS TLD for development

I do a lot of web dev, mainly RoR and PHP, I've got a VMs which holds my dev environments and handling multiple clients on them is a pain. With PHP you just create a subdir, but with RoR it's a little ...
2
votes
1answer
610 views

PHP/cURL/Fedora issues resolving hostname possibly a DNS problem?

I have the following simple test script for cURL/php on a FC12/apache server that has PHP 5.3.2, cURL v7.19.7 (according to phpinfo()): $ch = curl_init(); curl_setopt($ch, CURLOPT_URL, ...
1
vote
1answer
521 views

404 not found error for JavaScript files when accessing web page on localhost

The page loads up fine, but console shows a 404 not found error for JavaScript files. I have verified that the code contains the correct JavaScript file name. Any ideas? The JavaScript file is loaded ...
1
vote
2answers
632 views

Can't write to /var/www/ directory with PHP, permissions are 777

I can't understand where the problem is. Apache is running with my standard user that actually can write those files. What should I do?
1
vote
2answers
8k views

WAMP MySQL Service will not start

I did a fresh install of WAMP (v2.1) and it works excep the MySQL isn't starting.... here: and everytime I press "Start/Resume Service", NOTHING happens. I go to my.ini and put in a password.Then ...
1
vote
1answer
1k views

PHP not working on fresh install

Ok so i just installed apache2 and php5 following along with this tutorial http://www.socialblogr.com/2010/08/how-to-install-php-monggodb-monggo-driver-on-linux-ubuntu.html But php isn't ...
1
vote
2answers
2k views

Vim: How to indent html code correctly in php file?

In php file : <?php ... ?> <html> </html> I could not indent the html source code with operator =. How could I indent it?
1
vote
4answers
804 views

PHP for Mac OS X

I want to use PHP on my Mac. If I were using Windows I would install WAMP server, but I'm not familiar with how to use PHP on Mac OS X. What kind of software should I use for installing/running my ...
0
votes
0answers
354 views

How to downgrade PHP 5.4 to 5.3? Centos 6

So I need to downgrade to 5.3 because of my script uses session_register, and it has been removed in php 5.4. People have linked me to code that I should add to the script where the issue occurs, but ...
0
votes
1answer
2k views

Running 2 versions of PHP on the same apache server

I am looking to use Symfony2 to help build a large web system. I want to run this on the same server that is being used by existing systems (It is an Apache2 server on linux). The issue I have is that ...
0
votes
0answers
167 views

mod_rewrite working but php pages not found or not recognized (downloaded instead of executed)

In regard to my first post mod_rewrite problems in sandbox: Mac OSX 10.6.6 Apache/2.2.15 (Unix) mod_ssl/2.2.15 OpenSSL/0.9.8l DAV/2 PHP/5.3.3 I am making progress but... Now the index.php page is not ...
0
votes
1answer
90 views

Put file on FTP server using PHP

I have an FTP server running on my home computer. I've built a super simple web interface for depositing files onto the server without the use of a native client using the HTML5 File API. I have the ...
0
votes
2answers
813 views

How do I run PHP scripts via CMD without typing “php”?

If I have a batch file called "program.bat"... and I'm on the command line... I can just type program to get the program to run. If I'm on the command line, how do I get program.php to run ...
0
votes
0answers
2k views

Make mcrypt available to PHP 5.3 on Mac OS X 10.6

$ which mcrypt /opt/local/bin/mcrypt $ mcrypt -v Mcrypt v.0.9.9 (i386-apple-darwin10.4.0) Linked against libmcrypt v.2.5.8 Copyright (C) 1998-2002 Nikos Mavroyanopoulos (nmav@gnutls.org) So I have ...
0
votes
3answers
725 views

YouTube downloader [duplicate]

Possible Duplicate: YouTube and Google video downloaders? Some time ago, I had a script who got the Flash Video file from a specified YouTube video, which now is broken due to changes at ...
0
votes
1answer
2k views

Installing Zend on CentOS is having dependency issues

I'm trying to install PHP's Zend Server on my CentOS VPS but it's having dependency issues that I can't seem to resolve. zend-server-php-5.2-4.0-73.noarch from Zend_noarch has depsolving problems ...
0
votes
1answer
3k views

PHP: libssh2 prefix on Ubuntu 9.10?

So I decided to install the libssh2 library using PECL. I'm at the point where it is asking me to specify a libssh2 prefix: 5 source files, building running: phpize Configuring for: PHP Api Version: ...